Sign in to follow this  
leefree

Orbx FTX Global Base Question

Recommended Posts

Sooooo, I bought Orbx FTX Global Base back in August of last year. Just discovered tonight that the installer I have doesn't go past P3D v2.5. I looked on their website to see if there was a updated installer for P3D v3 and couldn't find one. I logged into my flight sim store account where I bought it and I have the link to the installer to which I can download but I don't know if it will be P3D v3 compatible since I bought this back in August. I don't see any other links within my account that would suggest an update for this. Am I going to have to purchase a version of this that's P3D v3 ready?

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

I had the same experience with FTX Global Vector. I had a file from last year (I think it was called 1.2) which only would install to P3D V2, so I downloaded the updates (1.30 and 1.35). Thay did have an installer option for P3D V3, but didn't install al the necessary files. After a lot of searching through forums I found out that I had to download 1.2 again. This now had the option to install to P3D V3! So it turned out that although the filename did not change, the contents were changed. Therefore it seems like a good advice to download your Global Base-file again and see if it has the right installer. I am pretty sure it has. Good luck!

Share this post


Link to post

Yep follow the advice of both of these chaps.  Download V1.4 installer.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this